mod command;
mod errors;

use command::*;
use errors::*;

use std::path::PathBuf;
use std::result;

pub type Result<T> = result::Result<T, Error>;

pub struct Opt {
    pub config_file: PathBuf,
}

pub fn run(opt: &Opt) {
    let updater = Updater::parse_config(opt).unwrap();

    dbg!(updater).update_all().unwrap();
}
